#!/bin/bash

msg="*** SINCRONIZZARE IL SERVER FREEPLANET SU VPS1 ?? (Y/N) ? "

if [ "$1" = "" ]; then
  read -p "$msg" risposta
else
  echo $msg
  risposta=$1
fi

if [[ $risposta == "Y" || $risposta == "y" ]]; then
    echo "Sincronizzazione in corso..."
    rsync -avz -e 'ssh -p 5522' /var/www/riso.app/ paolo@vps1:/var/www/riso.app/
    rsync -avz -e 'ssh -p 5522' /var/www/test.riso.app/ paolo@vps1:/var/www/test.riso.app/
    rsync -avz -e 'ssh -p 5522' /var/www/artenergetica.org/ paolo@vps1:/var/www/artenergetica.org/
    rsync -avz -e 'ssh -p 5522' /var/www/associazioneshen.it/ paolo@vps1:/var/www/associazioneshen.it/
    rsync -avz -e 'ssh -p 5522' /var/www/brigittemgdumont.com/ paolo@vps1:/var/www/brigittemgdumont.com/
    rsync -avz -e 'ssh -p 5522' /var/www/comunitanuovomondo.app/ paolo@vps1:/var/www/comunitanuovomondo.app/
    rsync -avz -e 'ssh -p 5522' /var/www/mail/ paolo@vps1:/var/www/mail/
    rsync -avz -e 'ssh -p 5522' /var/www/nextcloud.freeplanet.app/ paolo@vps1:/var/www/nextcloud.freeplanet.app/
    rsync -avz -e 'ssh -p 5522' /var/www/popolodelnuovomondo.app/ paolo@vps1:/var/www/popolodelnuovomondo.app/
    rsync -avz -e 'ssh -p 5522' /var/www/www.freeplanet_server/ paolo@vps1:/var/www/www.freeplanet_server/
    rsync -avz -e 'ssh -p 5522' /var/www/test.freeplanet_server/ paolo@vps1:/var/www/test.freeplanet_server/
    
    echo "Sincronizzazione TERMINATA - WEB SERVER!"
fi
